### File

`packages/eui-mobile/packages/core/src/lib/components/euim-chip-selector/euim-chip-selector.component.ts`

### Implements

`AfterViewInit` `AfterContentInit` `OnChanges` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `euim-chip-selector`
styleUrls | `./styles/_index.scss`
templateUrl | `euim-chip-selector.component.html`

### Index

###### Properties

- clickEventHandled
- euimChipSelectorItemComponent
- euimChipSelectorItemSubscription
- filterConditions
- filteredData
- isEmitEvent
- searchInput

###### Methods

- addSelectedStyles
- applyFilter
- clearFiltersAndSelectAll
- getCssClasses
- getCssItemClasses
- handleChange
- onFilterChange
- removeSelectedStyles
- setCssItemClasses
- subscribeToChanges
- updateChipsAndFilterDataAfterInit
- updateChipsAndFilters

###### Inputs

- backgroundColor
- chipFill
- chipSelectedColor
- color
- euimKeepSelection
- hasBoxShadow
- hasColorTransparency
- hasNoScrollerX
- hasSearchbar
- isCustomMode
- isMultiSelectionMode
- selectedChips
- sourceData

###### Outputs

- clickItems
- filterData
- selectedChipsChange

###### HostBindings

- class

###### Accessors

- cssClasses

### Inputs

backgroundColor
Type : `"branding" | "transparent" | "white" | string`
Default value : `'branding'`

chipFill
Type : `"default" | "clear" | "outline" | "outline-solid" | "solid"`
Default value : `'default'`

chipSelectedColor
Type : `"primary" | "dark" | "branding" | "info" | "success" | "warning" | "danger" | "white"`
Default value : `'white'`

color
Type : `"default" | "dark" | "branding" | "white" | "primary" | "info" | "success" | "warning" | "danger"`
Default value : `'white'`

euimKeepSelection
Type : `BooleanInput`
Default value : `false`

hasBoxShadow
Type : `BooleanInput`
Default value : `false`

hasColorTransparency
Type : `BooleanInput`
Default value : `false`

hasNoScrollerX
Type : `BooleanInput`
Default value : `false`

hasSearchbar
Type : `BooleanInput`
Default value : `false`

isCustomMode
Type : `BooleanInput`
Default value : `false`

isMultiSelectionMode
Type : `BooleanInput`
Default value : `false`

selectedChips
Type : `{}`
Default value : `[]`

sourceData
Type : `FilteredData[]`
Default value : `[]`

### Outputs

clickItems
Type : `EventEmitter`

filterData
Type : `EventEmitter`

selectedChipsChange
Type : `EventEmitter`

### HostBindings

class
Type : `string`

### Methods

addSelectedStyles
`addSelectedStyles(item)`

Parameters :

Name | Optional
item | No

Returns : `void`

applyFilter
`applyFilter(filterCondition: string, isAllFilter: BooleanInput, multipleFilterConditions: string[])`

Parameters :

Name | Type | Optional
filterCondition | `string` | No
isAllFilter | `BooleanInput` | No
multipleFilterConditions | `string[]` | No

Returns : `void`

clearFiltersAndSelectAll
`clearFiltersAndSelectAll()`
Returns : `void`

getCssClasses
`getCssClasses()`
Returns : `string`

getCssItemClasses
`getCssItemClasses()`
Returns : `string`

handleChange
`handleChange(event: any)`

Parameters :

Name | Type | Optional
event | `any` | No

Returns : `void`

onFilterChange
`onFilterChange(filterCondition: string, isFilterAll: BooleanInput, item)`

Parameters :

Name | Type | Optional
filterCondition | `string` | No
isFilterAll | `BooleanInput` | No
item |  | No

Returns : `void`

removeSelectedStyles
`removeSelectedStyles(item)`

Parameters :

Name | Optional
item | No

Returns : `void`

setCssItemClasses
`setCssItemClasses()`
Returns : `void`

subscribeToChanges
`subscribeToChanges()`
Returns : `void`

updateChipsAndFilterDataAfterInit
`updateChipsAndFilterDataAfterInit(isEmitEvent?: boolean)`

Parameters :

Name | Type | Optional
isEmitEvent | `boolean` | Yes

Returns : `void`

updateChipsAndFilters
`updateChipsAndFilters()`
Returns : `void`

### Properties

clickEventHandled
Default value : `false`

euimChipSelectorItemComponent
Type : `QueryList<EuimChipSelectorItemDirective>`
Decorators : `@ContentChildren(EuimChipSelectorItemDirective, {descendants: true})`

euimChipSelectorItemSubscription
Type : `Subscription`

filterConditions
Type : `[]`
Default value : `[]`

filteredData
Type : `[]`
Default value : `[...this.sourceData]`

isEmitEvent
Default value : `true`

searchInput
Type : `string`
Default value : `''`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""